weka.core.pmml.jaxbbindings

## Class MiningField

- java.lang.Object
- - weka.core.pmml.jaxbbindings.MiningField

-     public class MiningField
      extends java.lang.Object

  Java class for MiningField element declaration.

  The following schema fragment specifies the expected content contained within this class.

       <element name="MiningField">
         <complexType>
           <complexContent>
             <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
               <sequence>
                 <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
               </sequence>
               <attribute name="highValue" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
               <attribute name="importance" type="{http://www.dmg.org/PMML-4_1}PROB-NUMBER" />
               <attribute name="invalidValueTreatment" type="{http://www.dmg.org/PMML-4_1}INVALID-VALUE-TREATMENT-METHOD" default="returnInvalid" />
               <attribute name="lowValue" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
               <attribute name="missingValueReplacement" type="{http://www.w3.org/2001/XMLSchema}string" />
               <attribute name="missingValueTreatment" type="{http://www.dmg.org/PMML-4_1}MISSING-VALUE-TREATMENT-METHOD" />
               <attribute name="name" use="required" type="{http://www.dmg.org/PMML-4_1}FIELD-NAME" />
               <attribute name="optype" type="{http://www.dmg.org/PMML-4_1}OPTYPE" />
               <attribute name="outliers" type="{http://www.dmg.org/PMML-4_1}OUTLIER-TREATMENT-METHOD" default="asIs" />
               <attribute name="usageType" type="{http://www.dmg.org/PMML-4_1}FIELD-USAGE-TYPE" default="active" />
             </restriction>
           </complexContent>
         </complexType>
       </element>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MiningField()`
    `MiningField(java.lang.String name, FIELDUSAGETYPE usageType)`
    `MiningField(java.lang.String name, FIELDUSAGETYPE usageType, MISSINGVALUETREATMENTMETHOD missingValueTreatment, java.lang.String missingValueReplacement)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<Extension>` | `getExtension()` Gets the value of the extension property.
    `java.lang.Double` | `getHighValue()` Gets the value of the highValue property.
    `java.math.BigDecimal` | `getImportance()` Gets the value of the importance property.
    `INVALIDVALUETREATMENTMETHOD` | `getInvalidValueTreatment()` Gets the value of the invalidValueTreatment property.
    `java.lang.Double` | `getLowValue()` Gets the value of the lowValue property.
    `java.lang.String` | `getMissingValueReplacement()` Gets the value of the missingValueReplacement property.
    `MISSINGVALUETREATMENTMETHOD` | `getMissingValueTreatment()` Gets the value of the missingValueTreatment property.
    `java.lang.String` | `getName()` Gets the value of the name property.
    `OPTYPE` | `getOptype()` Gets the value of the optype property.
    `OUTLIERTREATMENTMETHOD` | `getOutliers()` Gets the value of the outliers property.
    `FIELDUSAGETYPE` | `getUsageType()` Gets the value of the usageType property.
    `void` | `setHighValue(java.lang.Double value)` Sets the value of the highValue property.
    `void` | `setImportance(java.math.BigDecimal value)` Sets the value of the importance property.
    `void` | `setInvalidValueTreatment(INVALIDVALUETREATMENTMETHOD value)` Sets the value of the invalidValueTreatment property.
    `void` | `setLowValue(java.lang.Double value)` Sets the value of the lowValue property.
    `void` | `setMissingValueReplacement(java.lang.String value)` Sets the value of the missingValueReplacement property.
    `void` | `setMissingValueTreatment(MISSINGVALUETREATMENTMETHOD value)` Sets the value of the missingValueTreatment property.
    `void` | `setName(java.lang.String value)` Sets the value of the name property.
    `void` | `setOptype(OPTYPE value)` Sets the value of the optype property.
    `void` | `setOutliers(OUTLIERTREATMENTMETHOD value)` Sets the value of the outliers property.
    `void` | `setUsageType(FIELDUSAGETYPE value)` Sets the value of the usageType property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MiningField

          public MiningField()

    - #### MiningField

          public MiningField(java.lang.String name,
                             FIELDUSAGETYPE usageType)

    - #### MiningField

          public MiningField(java.lang.String name,
                             FIELDUSAGETYPE usageType,
                             MISSINGVALUETREATMENTMETHOD missingValueTreatment,
                             java.lang.String missingValueReplacement)

  - ### Method Detail

    - #### getExtension

          public java.util.List<Extension> getExtension()

      Gets the value of the extension property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

      For example, to add a new item, do as follows:

              getExtension().add(newItem);

      Objects of the following type(s) are allowed in the list `Extension`

    - #### getHighValue

          public java.lang.Double getHighValue()

      Gets the value of the highValue property.
      Returns:
        possible object is `Double`

    - #### setHighValue

          public void setHighValue(java.lang.Double value)

      Sets the value of the highValue property.
      Parameters:
        `value` - allowed object is `Double`

    - #### getImportance

          public java.math.BigDecimal getImportance()

      Gets the value of the importance property.
      Returns:
        possible object is `BigDecimal`

    - #### setImportance

          public void setImportance(java.math.BigDecimal value)

      Sets the value of the importance property.
      Parameters:
        `value` - allowed object is `BigDecimal`

    - #### getInvalidValueTreatment

          public INVALIDVALUETREATMENTMETHOD getInvalidValueTreatment()

      Gets the value of the invalidValueTreatment property.
      Returns:
        possible object is `INVALIDVALUETREATMENTMETHOD`

    - #### setInvalidValueTreatment

          public void setInvalidValueTreatment(INVALIDVALUETREATMENTMETHOD value)

      Sets the value of the invalidValueTreatment property.
      Parameters:
        `value` - allowed object is `INVALIDVALUETREATMENTMETHOD`

    - #### getLowValue

          public java.lang.Double getLowValue()

      Gets the value of the lowValue property.
      Returns:
        possible object is `Double`

    - #### setLowValue

          public void setLowValue(java.lang.Double value)

      Sets the value of the lowValue property.
      Parameters:
        `value` - allowed object is `Double`

    - #### getMissingValueReplacement

          public java.lang.String getMissingValueReplacement()

      Gets the value of the missingValueReplacement property.
      Returns:
        possible object is `String`

    - #### setMissingValueReplacement

          public void setMissingValueReplacement(java.lang.String value)

      Sets the value of the missingValueReplacement property.
      Parameters:
        `value` - allowed object is `String`

    - #### getMissingValueTreatment

          public MISSINGVALUETREATMENTMETHOD getMissingValueTreatment()

      Gets the value of the missingValueTreatment property.
      Returns:
        possible object is `MISSINGVALUETREATMENTMETHOD`

    - #### setMissingValueTreatment

          public void setMissingValueTreatment(MISSINGVALUETREATMENTMETHOD value)

      Sets the value of the missingValueTreatment property.
      Parameters:
        `value` - allowed object is `MISSINGVALUETREATMENTMETHOD`

    - #### getName

          public java.lang.String getName()

      Gets the value of the name property.
      Returns:
        possible object is `String`

    - #### setName

          public void setName(java.lang.String value)

      Sets the value of the name property.
      Parameters:
        `value` - allowed object is `String`

    - #### getOptype

          public OPTYPE getOptype()

      Gets the value of the optype property.
      Returns:
        possible object is `OPTYPE`

    - #### setOptype

          public void setOptype(OPTYPE value)

      Sets the value of the optype property.
      Parameters:
        `value` - allowed object is `OPTYPE`

    - #### getOutliers

          public OUTLIERTREATMENTMETHOD getOutliers()

      Gets the value of the outliers property.
      Returns:
        possible object is `OUTLIERTREATMENTMETHOD`

    - #### setOutliers

          public void setOutliers(OUTLIERTREATMENTMETHOD value)

      Sets the value of the outliers property.
      Parameters:
        `value` - allowed object is `OUTLIERTREATMENTMETHOD`

    - #### getUsageType

          public FIELDUSAGETYPE getUsageType()

      Gets the value of the usageType property.
      Returns:
        possible object is `FIELDUSAGETYPE`

    - #### setUsageType

          public void setUsageType(FIELDUSAGETYPE value)

      Sets the value of the usageType property.
      Parameters:
        `value` - allowed object is `FIELDUSAGETYPE`